# Pygments

> The accompanying files were copied from https://github.com/StylishThemes/Syntax-Themes/tree/master/pygments
> 
> The filename extension has been changed from `css` to `scss`, for importing in Sass.

[Pygments](http://pygments.org/) is a Python syntax highlighter that was previously used everywhere on GitHub. It is still used for GitHub Jupyter Notebook pages and the API pages.

A [demo](https://stylishthemes.github.io/Syntax-Themes/pygments/) of the original Pygments styles prepared for GitHub has been included.

## Folders

* [X] [`css-github`](css-github/) - CSS pygments themes, dark only, that were optimized to be used on GitHub.
* [ ] [`css-other`](css-other/) - CSS pygments themes in their original form from whatever source that provided them.
* [ ] [`py`](py/) - Python scripts used to generate a specific pygments theme.

## Useful links

### Generators &amp; Converters

* https://github.com/davinche/pygments-from-tmtheme (Python).
* https://github.com/honza/vim2pygments (Python).
* http://sweyla.com/themes/seed/927088/ (CSS; theme generator).

### Themes

* Atom One Dark:
  * https://github.com/mgyongyosi/OneDarkJekyll (CSS &amp; LESS)
  * https://github.com/bryanchapel/jekyllHighlighterAtomOneDarkTheme (SCSS)
* Base16: https://github.com/idleberg/base16-pygments (Python).
* Cheerfully Dark: https://github.com/jorgehatccrma/pygments-style-cheerfully-dark (CSS)
* Code::Blocks: https://github.com/lecovi/codeblocks-pygments (Python)
* Darcula (not Dracula!):
  * https://github.com/MartijnBraam/pygments-theme-darcula (CSS &amp; LESS)
  * https://github.com/kakawait/pygments-darcula (Python &amp; CSS)
* Dark Flare: https://github.com/sashw/pygments-dark-flare (CSS)
* Dracula: https://github.com/dracula/pygments (Python &amp; CSS)
* Flatlandia: https://github.com/farkasity/pygments-flatlandia
* Idle Fingers: https://gist.github.com/honza/844339 (Python).
* Neon: https://github.com/MattDMo/Neon-pygments (Python).
* Railcasts: https://github.com/mgrachev/jekyll-syntax-railscasts (CSS)
* Skeletor: https://github.com/ramonmcros/skeletor-syntax
* Various:
  * https://github.com/MoOx/sass-pygments-theme-base (SaSS; unmaintained).
  * https://github.com/richleland/pygments-css (CSS).
  * https://bitbucket.org/jsturgill/pygments-for-wordpress (CSS).
  * https://github.com/uraimo/pygments-vimstyles (CSS).
  * https://github.com/xgarrido/pygments-styles (Python).
